Name:    kactivities
Summary: KDE Activity Manager
Summary(ja): KDE アクティビティマネージャ
Version: 4.9.1
Release: 1%{?_dist_release}

License: GPLv2
Group:   System Environment/Libraries
URL:     http://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: soprano-devel

Requires: %{name}-libs = %{version}-%{release}

%description
%{summary}.


%package devel
Summary:  Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:    Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel

%description devel
%{summary}.

%description -l ja devel
%{name} の開発用ファイルです．


%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Requires: kdelibs4 >= %{version}

%description libs
%{summary}.

%description -l ja libs
%{name} のランタイムライブラリです．


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/kactivitymanagerd
%{_datadir}/kde4/apps/plasma/packages/org.kde.ActivityManager.UiHandler
%{_datadir}/kde4/services/*
%{_datadir}/kde4/servicetypes/*
%{_datadir}/ontology/kde/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/KDE/KActivities
%{_includedir}/kde4/%{name}
%{_libdir}/libkactivities.so
%{_libdir}/cmake/KActivities
%{_libdir}/pkgconfig/libkactivities.pc

%files libs
%defattr(-,root,root,-)
%{_libdir}/libkactivities.so.*
%{_libdir}/kde4/activitymanager_plugin_globalshortcuts.so
%{_libdir}/kde4/activitymanager_plugin_slc.so
%{_libdir}/kde4/activitymanager_plugin_sqlite.so
%{_libdir}/kde4/activitymanager_uihandler_declarative.so
%{_libdir}/kde4/activitymanager_uihandler_kdialog.so
%{_libdir}/kde4/kactivitymanagerd_fileitem_linking_plugin.so
%{_libdir}/kde4/kio_activities.so


%changelog
* Wed Sep 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Wed Aug 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- Initial build
