Summary: Virtual package for KDE
Summary(ja): KDE バーチャルパッケージ
Name: task-kde
Version: 4.9.1
Release: 1%{?_dist_release}

Group: User Interface/Desktops
License: public domain
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: kde-settings
Requires: kdeaccessibility
Requires: kdeadmin
Requires: kdeartwork kdeartwork-wallpapers kdeartwork-screensavers
Requires: kdebase
Requires: kdebase-runtime
Requires: kdebase-workspace
Requires: kdeedu kdeedu-math
Requires: kdegames
Requires: kdegraphics
Requires: kdelibs
Requires: kdemultimedia
Requires: kdenetwork
Requires: kdepim
Requires: kdepim-runtime
Requires: kdepimlibs
Requires: kdeplasma-addons
Requires: kactivities
Requires: kdetoys
Requires: kdeutils
Requires: oxygen-icon-theme
Requires: kde-l10n-ja
Requires: phonon phonon-backend-gstreamer
Requires: polkit-qt polkit-kde
Requires: qt4
Requires: nepomukcontroller

Vendor: Project Vine
Distribution: Vine Linux
Packager: inagaki, daisuke

%description
This is a virtual package to install KDE system packages.
If you use apt-get for RPM, This package willinstall
all packages related to KDE automatically.

%description -l ja
KDE を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連する KDE パッケージをすべてインストールすることができます。

%changelog
* Fri Sep 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- updated package version for KDE 4.9.1

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- updated package version for KDE 4.9.0

* Sat Jun 25 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.4-1
- updated package version for KDE 4.6.4

* Mon Apr  4 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- updated package version for KDE 4.6.1

* Sun Mar 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- updated package version for KDE 4.4.1

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- updated package version for KDE 4.3

* Mon May 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy, spec in UTF-8
- updated package version

* Wed Sep 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.1-0vl3
- fixed Group name

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.1-0vl2
- change Group to User Interface/Desktops
- use License: instead of Copyright:

* Tue Nov  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- updates requires lists

* Mon Aug 16 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- updates requires lists

* Sun Mar 21 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- updates requires lists

* Sat Aug 16 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- updates requires lists

* Tue Mar  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- updates requires lists

* Sat Sep 28 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- updates requires lists

* Sun Jul 21 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- updates requires lists

* Wed May  8 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-0vl1
- updates requires lists

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-0vl2
- updates requires lists

* Sat Dec 09 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-0vl1
- initial release

%files
